## ros-rolling-webots-ros2-importer 1.2.2

=== webots_ros2_importer/urdf2webots/requirements.txt ===
pycollada==0.6
Pillow
rospkg
numpy

=== debian/changelog ===
ros-rolling-webots-ros2-importer (1.2.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 20 Jan 2022 11:28:47 -0000

ros-rolling-webots-ros2-importer (1.1.0-1focal) focal; urgency=high

  * Upgraded to urdf2webots 1.0.10

 -- Cyberbotics <support@cyberbotics.com>  Sun, 18 Jul 2021 22:00:00 -0000

ros-rolling-webots-ros2-importer (1.0.0-1focal) focal; urgency=high

  * Added the '--multi-file', '--static-base', '--tool-slot' and '--rotation' arguments.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 31 Aug 2020 22:00:00 -0000

ros-rolling-webots-ros2-importer (0.0.3-1focal) focal; urgency=high

  * Initial version

 -- Cyberbotics <support@cyberbotics.com>  Sun, 14 Jun 2020 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-webots-ros2-importer
Section: misc
Priority: optional
Maintainer: Cyberbotics <support@cyberbotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-numpy, python3-pil, python3-pycodestyle, python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: http://wiki.ros.org/webots_ros2
Standards-Version: 3.9.2

Package: ros-rolling-webots-ros2-importer
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-collada, python3-lark, ros-rolling-builtin-interfaces, ros-rolling-xacro, ros-rolling-ros-workspace
Description: This package allows to convert URDF and XACRO files into Webots PROTO files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-webots-ros2-importer//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-webots-ros2-importer 2023.1.1

=== debian/changelog ===
ros-rolling-webots-ros2-importer (2023.1.1-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 18 Jul 2023 12:41:54 -0000

ros-rolling-webots-ros2-importer (2023.0.4-2jammy) jammy; urgency=high

  * Fixed argument parsing

 -- Cyberbotics <support@cyberbotics.com>  Mon, 22 May 2023 22:00:00 -0000

ros-rolling-webots-ros2-importer (2022.1.4-2jammy) jammy; urgency=high

  * Upgraded to urdf2webots 2.0.3

 -- Cyberbotics <support@cyberbotics.com>  Thu, 17 Nov 2022 23:00:00 -0000

ros-rolling-webots-ros2-importer (2022.1.1-2jammy) jammy; urgency=high

  * Upgraded to urdf2webots 2.0.2

 -- Cyberbotics <support@cyberbotics.com>  Mon, 10 Oct 2022 22:00:00 -0000

ros-rolling-webots-ros2-importer (2022.1.0-2jammy) jammy; urgency=high

  * Upgraded to urdf2webots 2.0.0

 -- Cyberbotics <support@cyberbotics.com>  Thu, 22 Sep 2022 22:00:00 -0000

ros-rolling-webots-ros2-importer (1.2.3-2jammy) jammy; urgency=high

  * Upgraded to urdf2webots 1.0.18

 -- Cyberbotics <support@cyberbotics.com>  Sun, 29 May 2022 22:00:00 -0000

ros-rolling-webots-ros2-importer (1.1.0-2jammy) jammy; urgency=high

  * Upgraded to urdf2webots 1.0.10

 -- Cyberbotics <support@cyberbotics.com>  Sun, 18 Jul 2021 22:00:00 -0000

ros-rolling-webots-ros2-importer (1.0.0-2jammy) jammy; urgency=high

  * Added the '--multi-file', '--static-base', '--tool-slot' and '--rotation' arguments.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 31 Aug 2020 22:00:00 -0000

ros-rolling-webots-ros2-importer (0.0.3-2jammy) jammy; urgency=high

  * Initial version

 -- Cyberbotics <support@cyberbotics.com>  Sun, 14 Jun 2020 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Cyberbotics <support@cyberbotics.com>
-Build-Depends: debhelper (>= 9.0.0), python3-numpy, python3-pil, python3-pycodestyle, python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-ros-workspace, python3-all, python3-setuptools
+Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pil <!nocheck>, python3-pycodestyle <!nocheck>, python3-pytest <!nocheck>, ros-rolling-ament-copyright <!nocheck>, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
 Homepage: http://wiki.ros.org/webots_ros2
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	--install-lib "\$$base/lib/{interpreter}/site-packages" \
 	
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=pybuild --with python3
+	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
